CUTLASS: debug.h File Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
tools/util/include/cutlass/util/debug.h File Reference

Contains code for debugging cutlass code. More...

`#include "device_dump.h"`
Include dependency graph for tools/util/include/cutlass/util/debug.h:

Go to the source code of this file.

## Classes
struct | DebugType< T >
struct | DebugValue< Value >

## Macros
#define | CUDA_LOG(format, ...) printf(format, __VA_ARGS__)
#define | CUDA_LOG_DEBUG(format, ...)
#define | CUDA_PERROR(e) cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)
| Perror macro. More...
#define | CUDA_PERROR_EXIT(e)
| Perror macro with exit. More...
#define | CUDA_PERROR_DEBUG(e) (e)
| Perror macro only if DEBUG is defined. More...

## Functions
__host__ CUTLASS_DEVICE cudaError_t | cuda_perror_impl (cudaError_t error, const char *filename, int line)
| The corresponding error message is printed to `stderr` (or `stdout` in device code) along with the supplied source context. More...
template<typename T >
void | DebugTypeFunc (T const &t)

## Macro Definition Documentation

#define CUDA_LOG | ( |  | format,
|  |  | ...
| ) |  | printf(format, __VA_ARGS__)

Formats and prints the given message to stdout

#define CUDA_LOG_DEBUG | ( |  | format,
|  |  | ...
| ) |  |

Formats and prints the given message to stdout only if DEBUG is defined

#define CUDA_PERROR | ( |  | e | ) | cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)

#define CUDA_PERROR_DEBUG | ( |  | e | ) | (e)

#define CUDA_PERROR_EXIT | ( |  | e | ) |

Value:
if (cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)) { \
exit(1); \
}
cuda_perror_impl
__host__ CUTLASS_DEVICE cudaError_t cuda_perror_impl(cudaError_t error, const char *filename, int line)
The corresponding error message is printed to stderr (or stdout in device code) along with the suppli...
Definition: tools/util/include/cutlass/util/debug.h:76

## Function Documentation

__host__ CUTLASS_DEVICE cudaError_t cuda_perror_impl | ( | cudaError_t | error,
|  | const char * | filename,
|  | int | line
| ) |  |

Returns
  The CUDA error.

template<typename T >

void DebugTypeFunc | ( | T const & | t | ) |